<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
   <xsl:template match="/">
            <div align="center">
               <div>Current Scoring</div>
               <table border="0" cellpadding="2" cellspacing="2">
                  <tr>
                     <td class="bold">Session </td>
                     <xsl:for-each select="rFactorScoring/SessionInfo">
                        <td class="bold">[<xsl:value-of select="rFactorVersion"/>] </td>
                        <td class="bold">Start: [<xsl:value-of select="SessionStart"/>] </td>
                        <td class="bold">ID: [<xsl:value-of select="SessionID"/>] </td>
                        <td class="bold">State: [<xsl:value-of select="SessionState"/>] </td>
                        <td class="bold">Time Left: [<xsl:value-of select="format-number(SessionEnd - SessionTime, '#####.0')"/>] </td>
                        <td class="bold">Sector Flags: [<xsl:value-of select="SectorFlags"/>] </td>
                        <td class="bold">Track: [<xsl:value-of select="TrackName"/>]</td>
                     </xsl:for-each>
                  </tr>
               </table>
               
               <table border="1" cellpadding="2" cellspacing="0">
                  <tr bgcolor="#9acd32">
                     <th>Pos</th>
                     <th>Driver</th>
                     <th>Class</th>
                     <th>Vehicle</th>
                     <th>ICB</th>
                     <th>Laps</th>
                     <th>Gap-T</th>
                     <th>Gap-L</th>
                     <th>Int-T</th>
                     <th>Int-L</th>
                     <th>Lap Start</th>
                     <th>Sector</th>
                     <th>VPOT</th>
                     <th>Cur S1</th>
                     <th>Cur S2</th>
                     <th>Last S1</th>
                     <th>Last S2</th>
                     <th>Last S3</th>
                     <th>Last Lap</th>
                     <th>Best S1</th>
                     <th>Best S2</th>
                     <th>Best S3</th>
                     <th>Best Lap</th>
                     <th>Pit</th>
                     <th>Box</th>
                     <th>Status</th>
                     <th>Speed</th>
                     <th>PosX</th>
                     <th>PosY</th>
                  </tr>
                  <xsl:for-each select="rFactorScoring/Slots/Slot">
                  <xsl:sort select="Place" data-type="number"/>
                  <tr>
                     <td class="tdcenter"><xsl:value-of select="Place"/></td>
                     <td><xsl:value-of select="DriverName"/></td>
                     <td class="tdcenter"><xsl:value-of select="VehicleClass"/></td>
                     <td><xsl:value-of select="VehicleName"/></td>
                     <td class="tdcenter"><xsl:value-of select="Control"/></td>
                     <td class="tdcenter"><xsl:value-of select="Laps"/></td>
                     <td class="tdright"><xsl:value-of select="GapTime"/></td>
                     <td class="tdcenter"><xsl:value-of select="GapLaps"/></td>
                     <td class="tdright"><xsl:value-of select="IntTime"/></td>
                     <td class="tdcenter"><xsl:value-of select="IntLaps"/></td>
                     <td class="tdright"><xsl:value-of select="LapStart"/></td>
                     <td class="tdcenter"><xsl:value-of select="Sector"/></td>
                     <td class="tdright"><xsl:value-of select="format-number(LapDist, '###0.0')"/></td>
                     <td class="tdright"><xsl:value-of select="CurS1"/></td>
                     <td class="tdright"><xsl:value-of select="CurS2"/></td>
                     <td class="tdright"><xsl:value-of select="LastS1"/></td>
                     <td class="tdright"><xsl:value-of select="LastS2"/></td>
                     <td class="tdright"><xsl:value-of select="LastS3"/></td>
                     <td class="tdright"><xsl:value-of select="LastLap"/></td>
                     <td class="tdright"><xsl:value-of select="BestS1"/></td>
                     <td class="tdright"><xsl:value-of select="BestS2"/></td>
                     <td class="tdright"><xsl:value-of select="BestS3"/></td>
                     <td class="tdright"><xsl:value-of select="BestLap"/></td>
                     <td class="tdcenter"><xsl:value-of select="InPits"/></td>
                     <td class="tdcenter"><xsl:value-of select="InBox"/></td>
                     <td class="tdcenter"><xsl:value-of select="FinishStatus"/></td>
                     <td class="tdright"><xsl:value-of select="VehicleSpeed"/></td>
                     <td class="tdright"><xsl:value-of select="PosX"/></td>
                     <td class="tdright"><xsl:value-of select="PosY"/></td>
                  </tr>
                  </xsl:for-each>
               </table>
            </div>
            
            <br />
            
            <!--
            <marquee style="background-color: Gainsboro;" height="30px" direction="left" scrollamount="2" scrolldelay="1" loop="-1" behavior="scroll">
               <table border="0" cellpadding="0" cellspacing="0">
                  <tr>
                     <xsl:for-each select="rFactorScoring/Slots/Slot">
                     <xsl:sort select="Place" data-type="number"/>
                        <td rowspan="2" style="padding-left:5px; padding-right:5px;">
                           <xsl:if test="VehicleClass = 'ES_P1'"><img src="img/ClassP1.png" /></xsl:if>
                           <xsl:if test="VehicleClass = 'ES_P2'"><img src="img/ClassP2.png" /></xsl:if>
                           <xsl:if test="VehicleClass = 'ES_GT1'"><img src="img/ClassGT1.png" /></xsl:if>
                           <xsl:if test="VehicleClass = 'ES_GT2'"><img src="img/ClassGT2.png" /></xsl:if>
                        </td>
                        <td>
                           <xsl:value-of select="Place"/>. <xsl:value-of select="DriverName"/>
                        </td>
                     </xsl:for-each>
                  </tr>
                  <tr>
                     <xsl:for-each select="rFactorScoring/Slots/Slot">
                     <xsl:sort select="Place" data-type="number"/>
                        <td style="padding-left:15px;"><xsl:value-of select="Vehicle"/></td>
                     </xsl:for-each>
                  </tr>
               </table>
            </marquee>
            -->
   </xsl:template>
</xsl:stylesheet>
