<!DOCTYPE html>
<html>
   <head>
      <title>VM Hotlaps - Raw Scoring Data</title>
      <meta http-equiv="refresh" content="1" />
      <meta charset="UTF-8">
      <style type="text/css">
         * { font-family: Verdana, Arial, Helvetica, sans-serif; font-size: 12px; }
         th { font-size: 10px; }
         td { font-size: 10px; white-space: nowrap; }
         td.bold { font-size: 10px; white-space: nowrap; font-weight: bold; }
         .tdcenter { font-size: 10px; text-align: center; }
         .tdright { font-size: 10px; text-align: right; }
      </style>
   </head>
   <body>
   <?php
      echo "Date/Time: " . date("Y-m-d-H-i-s");
      
      function printXML(){
         $xmlString = "";
         
         $xmlDoc = new DOMDocument;
         $xslDoc = new DOMDocument;
         $xsltProc = new XSLTProcessor;
         
         // -- file_exists vs. is_readable
         if(file_exists("./Lock.xml") === false){
            $xmlDoc->load("./CurrentScoring.xml");
            $xslDoc->load("./CurrentScoring.xsl");
            
            $xsltProc->importStylesheet($xslDoc);
            
            $xmlString = $xsltProc->transformToXml($xmlDoc);
            
            echo $xmlString;
         }else{
            $logMsg = "Lock file './Lock.xml' exists.";
            
            echo "<br>" . $logMsg;
            
            $fplog = fopen("./index.log", "a");
            if($fplog){
               fwrite($fplog, date("Y-m-d-H-i-s") . ": " . $logMsg . PHP_EOL);
               
               fflush($fplog);
               fclose($fplog);
            }
         }
         
         return $xmlDoc;
      }
      
      $xmlDoc = printXML();
   ?>
   </body>
</html>
